Subject: LesBiGay Scientists
From: Sam Damon <[email-masked]>
Date: Fri, 14 Oct 1994 03:20:01 -0400 (edt)

National Organization of Gay and Lesbian Scientists and Technical
Professionals
PO Box 91803, Pasadena, CA  91109

"NOGLSTP seeks to promote communication among people employed in scientific
and high-tech fields, and to work within these professions to oppose
anti-gay discrimination and stereotyping.  Among the issues it has tackled
are anti-gay security clearance policies, mandatory HIV antibody testing,
and computer threats to privacy.  Several pamphlets on these and other
topics  are available from either [!] office listed above."